
package net.mcreator.stonearmor.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;

import net.mcreator.stonearmor.init.StoneArmorModItems;

public class StonegemmAxeItem extends AxeItem {
	public StonegemmAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 2480;
			}

			public float getSpeed() {
				return 10f;
			}

			public float getAttackDamageBonus() {
				return 16f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 28;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(StoneArmorModItems.STONEGEM.get()));
			}
		}, 1, -3f, new Item.Properties().fireResistant());
	}
}
